aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mvebu/base-files/etc/init.d/bootcount
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/mvebu/base-files/etc/init.d/bootcount')
-rwxr-xr-xtarget/linux/mvebu/base-files/etc/init.d/bootcount18
1 files changed, 18 insertions, 0 deletions
diff --git a/target/linux/mvebu/base-files/etc/init.d/bootcount b/target/linux/mvebu/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..6e8e310849
--- /dev/null
+++ b/target/linux/mvebu/base-files/etc/init.d/bootcount
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+
+START=99
+
+start() {
+ . /lib/functions.sh
+
+ case $(board_name) in
+ linksys,caiman |\
+ linksys,cobra |\
+ linksys,mamba |\
+ linksys,rango |\
+ linksys,shelby |\
+ linksys,venom)
+ mtd resetbc s_env || true
+ ;;
+ esac
+}